<?php
/*
 * Template Name: Blog Image Top
 * Description: A Page Template with a Page Builder design.
 */
     $piohost_redux_demo = get_option('redux_demo');
     get_header(); 
?>
<?php if(isset($piohost_redux_demo['blog_image']['url']) && $piohost_redux_demo['blog_image']['url'] != ''){?> 
<section class="breadcrumb-area" style="background-image:url(<?php echo esc_url($piohost_redux_demo['blog_image']['url']);?>)">
<?php }else{?>
<section class="breadcrumb-area" style="background-image:url(<?php echo get_template_directory_uri();?>/img/bg/contractbg.jpg)">
<?php } ?>   
    <div class="container">
        <div class="row">
            <div class="col-xl-12">
                <div class="breadcrumb-text text-center">
                    <h1>
                        <?php if(isset($piohost_redux_demo['blog_title'])){?>
                        <?php echo htmlspecialchars_decode(esc_attr($piohost_redux_demo['blog_title']));?>
                        <?php }else{?>
                        <?php echo esc_html__( 'BLog Page', 'piohost' ); } ?>
                    </h1>
                    <ul class="breadcrumb-menu">
                        <li><a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html__( 'Home', 'piohost' );?></a></li>
                        <li>
                            <span>
                                <?php if(isset($piohost_redux_demo['blog_title'])){?>
                                <?php echo htmlspecialchars_decode(esc_attr($piohost_redux_demo['blog_title']));?>
                                <?php }else{?>
                                <?php echo esc_html__( 'Blog Sidebar', 'piohost' ); } ?>
                            </span>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- breadcrumb-area-end -->
<!-- blog-area start -->
<section class="blog-area gray-bg pt-120 pb-80">
    <div class="container">
        <div class="row">
            <div class="col-lg-8 blog-list-full">
                <?php $args = array(    
                    'paged' => $paged,
                    'post_type' => 'post',
                    );
                $wp_query = new WP_Query($args);
                while (have_posts()): the_post(); 
                $single_audio = get_post_meta(get_the_ID(),'_cmb_single_audio', true);
                $single_video = get_post_meta(get_the_ID(),'_cmb_single_video', true);
                ?>
                <?php if ( has_post_format('video') ) { ?>
                <article class="postbox post format-video mb-40">
                    <div class="postbox__video">
                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="blog image">
                        <a class="popup-video video-btn" href="<?php echo esc_url($single_video);?>"><i
                                class="fas fa-play"></i></a>
                    </div>
                <?php } elseif ( has_post_format('gallery') ) { ?>
                <article class="postbox post format-gallery mb-40">
                    <div class="postbox__gallery">
                        <?php $gallery = get_post_gallery( get_the_ID(), false );
                        if(isset($gallery['ids'])){    
                            $gallery_ids = $gallery['ids'];
                            $img_ids = explode(",",$gallery_ids);
                            $i=0; $j=0;?>
                            <?php   
                            foreach( $img_ids AS $img_id ){ 
                                $image_src = wp_get_attachment_image_src($img_id,''); 
                                ?>
                                <img src="<?php echo esc_url($image_src[0]); ?>" alt="blog image">
                        <?php } } ?>
                    </div>
                <?php } elseif ( has_post_format('audio') ) { ?>
                <article class="postbox post format-audio mb-40">
                    <div class="postbox__audio embed-responsive embed-responsive-16by9">
                        <iframe
                            src="<?php echo esc_url($single_audio);?>"></iframe>
                    </div>
                <?php } elseif ( has_post_thumbnail() ) { ?>
                <article class="postbox post format-image mb-40">
                    <?php if (get_post_thumbnail_id() !='')  { ?>
                    <div class="postbox__thumb">
                        <img src="<?php echo wp_get_attachment_url(get_post_thumbnail_id());?>" alt="blog image">
                    </div>
                    <?php } ?>
                <?php } ?>
                    <div class="postbox__text p-50">
                        <div class="post-meta mb-15">
                            <span><i class="far fa-calendar-check"></i> <?php the_time(get_option( 'date_format' ));?> </span>
                            <span><i class="far fa-user"></i> <?php the_author_posts_link(); ?></span>
                            <span><i class="far fa-comments"></i> <?php comments_number( esc_html__('0 Comments', 'moral'), esc_html__('1 Comment', 'moral'), esc_html__('% Comments', 'moral') ); ?></span>
                        </div>
                        <h3 class="blog-title">
                            <a href="<?php the_permalink();?>"><?php the_title(); ?></a>
                        </h3>
                        <div class="post-text mb-20">
                            <p>
                                <?php if(isset($piohost_redux_demo['blog_excerpt'])){?>
                                <?php echo esc_attr(piohost_excerpt($piohost_redux_demo['blog_excerpt'])); ?>
                                <?php }else{?>
                                <?php echo esc_attr(piohost_excerpt(50)); } ?>
                            </p>
                        </div>
                        <div class="read-more mt-30">
                            <a href="<?php the_permalink();?>" class="btn btn-2">
                                <?php if(isset($piohost_redux_demo['read_more'])){?>
                                <?php echo htmlspecialchars_decode(esc_attr($piohost_redux_demo['read_more']));?>
                                <?php }else{?>
                                <?php echo esc_html__( 'Read more', 'piohost' ); } ?>
                            </a>
                        </div>
                    </div>
                </article>
                <?php endwhile; ?>
                <div class="basic-pagination basic-pagination-2 mb-40">
                    <?php piohost_pagination();?>
                </div>
            </div>
            <div class="col-lg-4">
                <?php get_sidebar();?> 
            </div>
        </div>
    </div>
</section>
<?php
    get_footer();
?>